<template>
  <b-card class="container">
    <attribute-detail-component
      v-for="section in sections"
      :key="section.header"
      :header="section.header"
      :values="section.data"
    />
  </b-card>
</template>
<script>

  import AttributeDetailComponent from "./AttributeDetailComponent.vue";

  export default {
    components: {
      AttributeDetailComponent
    },
    computed: {
      sections: function() {
        return Object.entries(this.$root.currentFungus?.getAttributes() || []).map(([key,value]) => {
          return {header: key, data: value};
        });
      }
    }
  }
</script>

<style lang="scss" scoped>

.container {
    display: flex;
    flex-flow: column wrap;
    margin:0;
    padding:0;
}

</style>
